package edu.lawrence.auction.interfaces.dtos;

import edu.lawrence.auction.entities.Bid;

public class BidDTO {
	int bidid;
	private String auction;
	private String bidder;
	private int bid;
	private String entered;
	
	public BidDTO() {}

	public BidDTO(Bid core) {
		bidid = core.getBidid();
		auction = core.getAuction().getAuctionid().toString();
		bidder = core.getBidder().getUserid().toString();
		bid = core.getBid();
		entered = core.getEntered().toString();
	}
	
	public int getBidid() {
		return bidid;
	}

	public void setBidid(int bidid) {
		this.bidid = bidid;
	}

	public String getAuction() {
		return auction;
	}

	public void setAuction(String auction) {
		this.auction = auction;
	}

	public String getBidder() {
		return bidder;
	}

	public void setBidder(String bidder) {
		this.bidder = bidder;
	}

	public int getBid() {
		return bid;
	}

	public void setBid(int bid) {
		this.bid = bid;
	}

	public String getEntered() {
		return entered;
	}

	public void setEntered(String entered) {
		this.entered = entered;
	}
}