package edu.lawrence.auction.interfaces.dtos;

import edu.lawrence.auction.entities.Bid;
import edu.lawrence.auction.entities.Purchase;

public class Offer {
	private String purchaseid;
	private String auctionid;
	private int bidid;
	private int amount;

	public Offer() {}

	public Offer(Purchase base) {
		purchaseid = base.getPurchaseid().toString();
		Bid bid = base.getBid();
		auctionid = bid.getAuction().getAuctionid().toString();
		bidid = bid.getBidid();
		amount = bid.getBid();
	}
	
	public String getPurchaseid() {
		return purchaseid;
	}

	public void setPurchaseid(String purchaseid) {
		this.purchaseid = purchaseid;
	}

	public String getAuctionid() {
		return auctionid;
	}

	public void setAuctionid(String auctionid) {
		this.auctionid = auctionid;
	}

	public int getBidid() {
		return bidid;
	}

	public void setBidid(int bidid) {
		this.bidid = bidid;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}
}
