package edu.lawrence.auction.interfaces.dtos;

import edu.lawrence.auction.entities.Shipping;

public class ShippingDTO {
	private int shippingid;
	private String user;
	private String displayname;
	private String addressone;
	private String addresstwo;
	private String city;
	private String state;
	private String zip;
	
	public ShippingDTO() {}

	public ShippingDTO(Shipping core) {
		shippingid = core.getShippingid().intValue();
		user = core.getUser().getUserid().toString();
		displayname = core.getDisplayname();
		addressone = core.getAddressone();
		addresstwo = core.getAddresstwo();
		city = core.getCity();
		state = core.getState();
		zip = core.getZip();
	}
	
	public int getShippingid() {
		return shippingid;
	}

	public void setShippingid(int shippingid) {
		this.shippingid = shippingid;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getDisplayname() {
		return displayname;
	}

	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}

	public String getAddressone() {
		return addressone;
	}

	public void setAddressone(String addressone) {
		this.addressone = addressone;
	}

	public String getAddresstwo() {
		return addresstwo;
	}

	public void setAddresstwo(String addresstwo) {
		this.addresstwo = addresstwo;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getZip() {
		return zip;
	}

	public void setZip(String zip) {
		this.zip = zip;
	}
}